Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77094 - RFE: Read-only fields should be text, not drop-down boxes (?)
Summary: RFE: Read-only fields should be text, not drop-down boxes (?)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General
Version: 2.18
Hardware: i386
OS: Linux
medium
medium vote
Target Milestone: ---
Assignee: PnT DevOps Devs
QA Contact: David Lawrence
URL:
Whiteboard: DEFERRED
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-01 02:42 UTC by Aleksey Nogin
Modified: 2013-06-24 03:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-18 21:46:51 UTC


Attachments (Terms of Use)

Description Aleksey Nogin 2002-11-01 02:42:52 UTC
In old Bugzilla, fields that one is not permitted to modify were displayed as
text instead of drop-down boxes. In the new Bugzilla, all fields are drop boxes
and the only way to see whether the field is read-only or not, is to try
modifying it and to see whether post_bug.cgi will rehect or accept.

The only advantage of the new behavior is not having to login first before
modifying non-publically-modifiable fields (e.g, you can modify them first,
click "Commit" and have process_bug.cgi prompt for the login info). IMHO the old
behavior is better.

Comment 1 David Lawrence 2002-11-20 16:42:03 UTC
This is understandable. This is the way the current upstream bugzilla handles it
so I am changing this to a RFE. This should be done easily enough in the
templates now. I will look into this for post release.

Comment 2 David Lawrence 2002-12-02 05:56:46 UTC
Just a note that I will fix this but will wait til after new bugzilla goes into
production.

Comment 3 David Lawrence 2006-04-08 18:12:38 UTC
Red Hat's current Bugzilla version is 2.18. I am moving all older open bugs to
this version. Any bugs against the older versions will need to be verified that
they are still bugs. This will help me also to sort them better.

Comment 4 David Lawrence 2008-08-18 21:46:51 UTC
The new version 3.2 of Bugzilla will show the field as text only if the user cannot edit it.


Note You need to log in before you can comment on or make changes to this bug.